Name:           piglit
Version:        1
Release:        0.19.20140414GIT8775223%{?dist}
Summary:        Collection of automated tests for OpenGL implementations

Group:          Development/Tools
License:        MIT and GPLv2+ and GPLv3 and LGPLv2
URL:            http://cgit.freedesktop.org/piglit/
# git clone git://anongit.freedesktop.org/piglit && cd piglit
# git archive --prefix=piglit/ HEAD|bzip2>piglit.tar.bz2
Source0:        piglit.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python >= 2.6 numpy cmake chrpath
BuildRequires:  mesa-libGL-devel, mesa-libGLU-devel, freeglut-devel
%if 0%{?fedora} >= 15 || 0%{?rhel} >= 7
BuildRequires:  waffle-devel
%endif
BuildRequires:  libX11-devel, libpng-devel, libtiff-devel, libXrender-devel
BuildRequires:  python-mako

# Only for python < 2.7
%if 0%{?rhel} > 0 && 0%{?rhel} <= 6
Requires:       python-importlib
# https://bugzilla.redhat.com/1093720
ExcludeArch:    ppc64
%endif

%description
Piglit is a collection of automated tests for OpenGL implementations.

The goal of Piglit is to help improve the quality of open source
OpenGL drivers by providing developers with a simple means to
perform regression tests.

%prep
%setup -q -n %{name}

%build
%cmake -DCMAKE_BUILD_TYPE:STRING=Debug \
%if 0%{?rhel} < 7
 -DPIGLIT_USE_WAFFLE:BOOL=OFF \
%endif
    .
#-DBUILD_SHARED_LIBS:BOOL=OFF .
make VERBOSE=1 %{?_smp_mflags}

#TODO /usr/lib64/piglit/tests/glslparsertest/glsl2/xonotic-vs-generic-diffuse.vert

chmod +x framework/{gtest,opencv}.py \
    generated_tests/{gen_builtin_packing_tests,generate-cl-math-builtins}.py \
    generated_tests/{generate-cl-store-tests,gen_shader_bit_encoding_tests}.py \
    generated_tests/generate-cl-relational-builtins.py \
    tests/{all_cl,cl,oglconform,quick_cl}.py

chmod -x generated_tests/generate-cl-int-builtins.py \
    tests/cl/program/build/{other-data-types,scalar-data-types}.cl \
    tests/cl/program/execute/scalar-arithmetic-ushort.cl


%install
rm -rf $RPM_BUILD_ROOT

# remove superfluous cruft
find . \( -name CMakeLists\*.txt -o -name \*.cmake \) -delete
find . -name \*.hpp -delete

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/
cp -p -r {bin,framework,generated_tests,lib,templates,tests} piglit*.py \
    $RPM_BUILD_ROOT%{_libdir}/%{name}/
install -d $RPM_BUILD_ROOT%{_bindir}
for srcfile in piglit*.py ; do
    ln -sf %{_libdir}/%{name}/${srcfile} \
        $RPM_BUILD_ROOT%{_bindir}/$(basename ${srcfile} .py)
done

# Remove .o objects and C source code
find $RPM_BUILD_ROOT%{_libdir}/%{name} -name \*.[coh] -delete
find $RPM_BUILD_ROOT%{_libdir}/%{name} -name \*.cpp -delete
find $RPM_BUILD_ROOT%{_libdir}/%{name} -name .git\* -delete

# Remove spurious script
rm -fv documentation/build-results.sh

# Remove rpath
chrpath -d -k $RPM_BUILD_ROOT%{_libdir}/%{name}/{bin,lib}/*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/%{name}/
%doc README HACKING COPYING licences/{GPL-2,GPL-3,LGPL-2} examples


%changelog
* Wed Jun 11 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.19.20140414GIT8775223
- Add ExcludeArch for EPEL-6 and ppc64 properly (RHBZ# 1093720)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-0.18.20140414GIT8775223
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.17.20140414GIT8775223
- Except I have created condition incorrectly.

* Fri May 16 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.16.20140414GIT8775223
- importlib is since python 2.7 in the standard library, no need to
  import it.

* Thu May 15 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.15.20140414GIT8775223
- Put ExcludeArch back for ppc64.
- Add python-importlib Require

* Tue Apr 15 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.14.20140414GIT8775223
- Remove ExcludeArch

* Mon Apr 14 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20140414GIT8775223
- New upstream checkout (our patches were upstreamed)

* Thu Mar 20 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20140320GITb561c3c
- New upstream checkout.

* Wed Oct 23 2013 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20131023GITe2db751
- New upstream checkout.

* Sat Aug 24 2013 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20130824GITbccdf6f
- New upstream checkout.

* Fri Jan 13 2012 Matěj Cepl <mcepl@redhat.com> 1-0.12.git20120110Rf26fbd0
- more cleanup to (almost) satisfy formal review.

* Fri Jan 13 2012 Matěj Cepl <mcepl@redhat.com> 1-0.11.git20120110Rf26fbd0
- New patch from http://article.gmane.org/gmane.comp.video.piglit/98/
- Actually really use %%cmake macro

* Thu Jan 12 2012 Matěj Cepl <mcepl@redhat.com> 1-0.10.git20120110Rf26fbd0
- add -DBUILD_SHARED_LIBS:BOOL=OFF to the cmake call to workaround FTBFS
- remove unnecessary executable bits and shebangs

* Tue Jan 10 2012 Matěj Cepl <mcepl@redhat.com> 1-0.9.git20120110Rf26fbd0
- New upstream checkout, preparing for the Fedora submission.

* Mon Dec 19 2011 Matěj Cepl <mcepl@redhat.com> 1-0.8.git20111219R8749563
- Upgrade to the latest upstream checkout

* Tue Nov 29 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.8.git20111129R6a241f7
- Upgrade to the latest upstream checkout

* Mon Nov 28 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.7.git20111107R228aaeb
- Exclude archs, add libXrender-devel as a build requirement.

* Tue Oct 18 2011 'Matěj Cepl <mcepl@redhat.com>' - 1-0.6.git20111018R5078a37
- New upstream checkout
- Copy also piglit*.py files to libdir. *PALMFACE*

* Mon Oct 17 2011 'Matěj Cepl <mcepl@redhat.com>' - 1-0.5.git20111017reaa3617a
- New upstream checkout.

* Mon Oct 17 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.5.git20111017reaa3617a
- Update to the latest upstream checkout.

* Sat Oct 08 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.4.git20111007r7fe681a0
- First package.


# vi:sw=4 ts=8 et
